use thiserror::Error;
use wasm_bindgen::JsValue;

#[derive(Error, Debug)]
#[error("Error reported from JavaScript")]
pub struct JsError(JsValue);

impl From<JsValue> for JsError {
    fn from(value: JsValue) -> Self {
        Self(value)
    }
}
