use thiserror::Error;

use super::ReadFileError;

#[derive(Error, Debug)]
pub enum ReadKleError {
    #[error("Failed to read file")]
    ReadFile(#[from] ReadFileError),
    #[error("Failed to parse KLE JSON")]
    Serde(#[from] serde_json::Error),
}
